﻿@model eCommerce.Services.Model.MPAccount
@using eCommerce.Services.Utils
@{
    ViewBag.Title = "Cuentas de Mercado Pago";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Cuentas de Mercado Pago</h1>
    <ol class="breadcrumb">
        <li class="active">Crear / Editar</li>
    </ol>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("MPAccountUpdate", "MPAccounts", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off", @enctype = "multipart/form-data" }))
                    {
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Descripcion</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" id="Description" name="Description" value="@Model.Description"/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">ID de Cliente</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" id="ClientId" name="ClientId" value="@Model.ClientId" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Clave secreta</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" id="ClientSecret" name="ClientSecret" value="@Model.ClientSecret" />
                            </div>
                        </div>
                        <div class="form-group info">
                            <label class="col-sm-2 control-label"></label>
                            <div class="col-sm-9">
                                Para obtener esta información ingresar a Mercado Pago con la cuenta deseada y luego hacer
                                <a href="https://www.mercadopago.com/mla/account/credentials?type=basic" target="_blank">
                                    [click aquí]
                                </a>
                            </div>
                        </div>

                        <div class="text-right">
                            <button type="submit" class="btn btn-primary btn-success" id="btnSave">Grabar</button>
                            <button type="button" class="btn btn-default" onclick="window.location.href = '/MPAccounts'">Cancelar</button>
                            @Html.HiddenFor(model => model.MPAccountId)
                        </div>
                        <input hidden="hidden" name="flagDelete" id="flagDelete" value="false" />
                    }
                </div>
            </div>
        </div>
    </div>
</div>

@section Scripts {

    <script type="text/javascript">

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    Description: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Nombre es requerido.'
                            }
                        }
                    }
                }
            });
        })();

    </script>
}

